/*
 * Copyright 2003-2009 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.codehaus.groovy.eclipse.core;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.codehaus.groovy.eclipse.core.search.SyntheticMemberSearchTests;

public class AllCoreTests {
    public static Test suite() {
        final TestSuite suite = new TestSuite(AllCoreTests.class.getPackage().getName());
        suite.addTestSuite(ClasspathContainerTest.class);
        suite.addTest(org.codehaus.groovy.eclipse.core.compiler.AllTests.suite());
        suite.addTest(org.codehaus.groovy.eclipse.core.impl.AllTests.suite());
        suite.addTest(org.codehaus.groovy.eclipse.core.util.AllTests.suite());
        suite.addTestSuite(SyntheticMemberSearchTests.class);
        return suite;
    }
}
